General discussion

Locked

Upgrading to RPM version 4

By ddiall ·
Hello again,

I'm having all sorts of trouble upgrading the RPM version 3 that comes on RedHat 6.0 to version 4. I won't, at this time, enter the details of my pains!

I've downloaded (from www.rpm.org and otherplaces) tons of RPM packages (db*, popt*, rpm*) to upgrade the rpm-3.0-6.0 on my system. No luck! Dependencies problems, etc...

Can someone indicate me straight path to accomplish this task?

I strongly believe that the RPM concept/implementation is one of the best I have seen, but this kind of trouble should be avoidable. I guess a lot depends on the packagers/distributions too.

This conversation is currently closed to new comments.

8 total posts (Page 1 of 1)  
| Thread display: Collapse - | Expand +

All Comments

Collapse -

Upgrading to RPM version 4

by cruznn In reply to Upgrading to RPM version ...

The best program for RPM is gnorpm you can get it at rpmfind this program is a user friendly GUI for installing RPM, get 9.* version, 10 has other dependancies you might have problems with

Collapse -

Upgrading to RPM version 4

by ddiall In reply to Upgrading to RPM version ...

Thanks for answering, but I think you didn't understand my problem. I can deal quite well with RPMs, specially on the command line...

I had lots of trouble upgrading the RPM system itself from version 3 to 4. Meanwhile I chose to install RedHat 7which already has RPM 4. Anyway I'm curious to find out what have I done wrong.

Collapse -

Upgrading to RPM version 4

by Bruce Timberlake In reply to Upgrading to RPM version ...

rpm upgrades have been flaky for me too. I just ram it through with 'rpm -Uvh --force --nodeps rpmxxxx.rpm'

May not be the most correct way to do it, but it will get the job done!

Collapse -

Upgrading to RPM version 4

by ddiall In reply to Upgrading to RPM version ...

It has gone so long since I posted this, now it's time to close it...
I haven't really (re-)tested what you advise me to do but keep the points... I believe I've tried about everything maybe the RPM4 rpms were no good.

Collapse -

Upgrading to RPM version 4

by Eugen Prokopiev In reply to Upgrading to RPM version ...

Main problem with upgrading RPM is incomatibility of rpm database format between versions. But (as I know) after upgrading to rpm-4 you should only say

# rpm --rebuilddb

And all ok

Collapse -

Upgrading to RPM version 4

by Eugen Prokopiev In reply to Upgrading to RPM version ...

Oh, I forgotten to tell you should simply upgrade your existing rpm-3 with

# rpm -U --nodeps rpm-4.xxx-xxx.rpm

to break dependencies problem

Collapse -

Upgrading to RPM version 4

by ddiall In reply to Upgrading to RPM version ...

Same as previous comment above... Thanks.

Collapse -

Upgrading to RPM version 4

by ddiall In reply to Upgrading to RPM version ...

This question was closed by the author

Back to Linux Forum
8 total posts (Page 1 of 1)  

Related Discussions

Related Forums